# Google AdSense

Google AdSense component for displaying responsive ads. Supports various ad formats including display, fluid, rectangle, vertical, and horizontal. Includes development placeholder and automatic script loading.

## Files

| Target | Type |
|--------|------|
| `$modules$/google-adsense/index.ts` | index |
| `$modules$/google-adsense/google-adsense.tsx` | component |
| `$modules$/google-adsense/lang/en.json` | lang |
| `$modules$/google-adsense/lang/tr.json` | lang |
| `$modules$/google-adsense/lang/pt.json` | lang |

## Exports

**Components/Functions:** `GoogleAdsense`

```typescript
import { GoogleAdsense } from '@/modules/google-adsense';
```

## Usage

```
import { GoogleAdsense } from '@/modules/google-adsense';

// Basic usage
<GoogleAdsense slot="1234567890" />

// With all options
<GoogleAdsense
  client="ca-pub-xxxxxxxx"
  slot="1234567890"
  format="auto"
  responsive={true}
  className="my-4"
/>
```
